﻿/* ------------------ ( Forms ) ------------------ */
/*---[ Generic Form Style ]---*/

.form-wrapper
{
    display: block;
    zoom: 1;
}

    .form-wrapper .inner
    {
        display: block;
        zoom: 1;
    }

        .form-wrapper .inner:after
        {
            clear: both;
            content: ".";
            display: block;
            height: 0;
            visibility: hidden;
        }

    .form-wrapper .form-item
    {
        padding-bottom: 12px;
        width: 100%;
    }

        .form-wrapper .form-item:after
        {
            clear: both;
            content: ".";
            display: block;
            height: 0;
            visibility: hidden;
        }

        .form-wrapper .form-item label
        {
            color: #2f3239;
            display: inline;
            float: left;
            font-size: 1.4em;
            margin-right: 10px;
            max-width: 200px;
            padding-top: 10px;
            width: 100%;
        }

        .form-wrapper .form-item input
        {
            border: 2px solid #fff;
            display: inline;
            float: left;
            font-size: 1.2em;
            height: 39px;
            padding: 0 5px;
            width: 200px;
            color: #676767;
        }

            .form-wrapper .form-item input:focus {
                border: 2px solid #e0724d;
            }

        .form-wrapper .form-item .radio-row
        {
            width: 100%;
        }

            .form-wrapper .form-item .radio-row input
            {
                -moz-border-radius: 0;
                -webkit-border-radius: 0;
                border: 0;
                border-radius: 0;
                display: inline;
                float: left;
                font-size: 1.2em;
                height: 13px;
                margin-top: 1px;
                margin-top: 8px;
                padding: 0;
                width: 13px;
            }

        .form-wrapper .form-item select
        {
            -webkit-appearance: none;
            -moz-appearance: none;
            appearance: none;
            background-image: url('/Content/smwo-theme/css/css-images/common/select-arrow.png');
            background-repeat: no-repeat;
            background-position:95% 50%;
            border: 1px solid #aaa;
            display: inline;
            float: left;
            font-size: 1.2em;
            padding: 10px;
            width: 211px;
            zoom: 1;
            color: #676767;
        }




        .form-wrapper .form-item textArea
        {
            -moz-border-radius: 5px 5px 5px 5px;
            -webkit-border-radius: 5px 5px 5px 5px;
            border: 1px solid #d1d1d1;
            border-radius: 5px 5px 5px 5px;
            display: inline;
            float: left;
            font-family: Calibri, Arial, Helvetica, sans-serif;
            font-size: 1.4em;
            height: 200px;
            padding: 5px;
            resize: none;
            width: 250px;
            zoom: 1;
        }

        .form-wrapper .form-item.checkbox-item label
        {
            clear: none;
            display: inline;
            float: left;
            max-width: 75%;
            padding-top: 1px;
            width: 75%;
        }

        .form-wrapper .form-item.checkbox-item input
        {
            -moz-border-radius: 0 0 0 0;
            -webkit-border-radius: 0 0 0 0;
            border-radius: 0 0 0 0;
            clear: none;
            cursor: pointer;
            display: inline;
            float: left;
            height: 13px;
            margin-right: 10px;
            margin-top: 2px;
            padding: 0;
            width: 13px;
        }

        .form-wrapper .form-item .field-validation-error
        {
            color: #d01c1c;
            float: left;
            font-size: 1.4em;
            padding: 2px 0 10px 0;
            width: 95%;
            zoom: 1;
            /*background: url("cssimages/common/validation.png") left top no-repeat;*/
        }


/*---[ Validation Summary ]---*/

.validation-summary-errors ul
{
    width: 100%;
}

    .validation-summary-errors ul:after
    {
        clear: both;
        content: ".";
        display: block;
        height: 0;
        visibility: hidden;
    }

    .validation-summary-errors ul li
    {
        clear: left;
        color: #d01c1c;
        display: inline;
        float: left;
        font-size: 1.4em;
        padding: 2px 0 10px 25px;
        padding-bottom: 10px;
        /*background: url("cssimages/common/validation.png") left top no-repeat;*/
    }



.button-panel
{
    display: block;
    padding-bottom: 20px;
    width: 100%;
}

    .button-panel:after
    {
        clear: both;
        content: ".";
        display: block;
        height: 0;
        visibility: hidden;
    }


    .button-panel .button, .button-panel a, .button-panel a:visited
    {
        -moz-border-radius: 3px;
        -webkit-border-radius: 3px;
        background: #2b9884;
        border: 0;
        border-radius: 3px;
        color: #fff;
        cursor: pointer;
        display: inline;
        float: right;
        font-size: 1.8em;
        font-weight: bold;
        line-height: 1em;
        margin-left: 20px;
        padding: 11px 45px;
        text-align: center;
        text-decoration: none;
    }

    .button-panel input.button
    {
        min-height: 38px;
        overflow: visible;
    }

        .button-panel input.button:hover,
        .button-panel a.button:hover,
        .button-panel a.button:active,
        .button-panel a:hover,
        .button-panel a:active
        {
            background: #39ab96;
        }


.form-wrapper .double-layout
{
    width: 100%;
}

    .form-wrapper .double-layout:after
    {
        clear: both;
        content: ".";
        display: block;
        height: 0;
        visibility: hidden;
    }

    .form-wrapper .double-layout .form-item
    {
        width: 49%;
        float: left;
        display: inline;
        margin-right: 1%;
    }

        .form-wrapper .double-layout .form-item label
        {
            margin: 0 0 10px;
            padding: 0;
            font-weight: bold;
        }

        .form-wrapper .double-layout .form-item input
        {
            clear: left;
            width: 96%;
        }

        .form-wrapper .double-layout .form-item select
        {
            clear: left;
            width: 96%;
        }


.security-question.form-wrapper .double-layout .form-item
{
    width: 30%;
    padding-top: 10px;
}

.security-question .button-panel .button
{
    float: left;
    margin-left: 0;
}

.find-a-retailer #postcodeEmpty.field-validation-error, 
.find-a-retailer #postcodeLong.field-validation-error
{
    width: 100%;
    display: none;
    padding-bottom: 10px;
    float: left;
}
